PETSc version 3.15.5
Fix/Edit manual page

# DMDANaturalAllToGlobalCreate

Creates a scatter context that maps from a copy of the entire vector on each processor to its local part in the global vector.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDANaturalAllToGlobalCreate(DM da,VecScatter *scatter)

Collective on da

### Input Parameter

| da | - the distributed array context

### Output Parameter

| scatter | - the scatter context

### See Also

DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector()

### Level

advanced

### Location

src/dm/impls/da/dagtona.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages